Loading...
Searching...
No Matches
etl::private_bitset::bitset_common< Active_Bits, TElement > Class Template Reference

## Public Types

typedef etl::private_bitset::bitset_impl_common< TElement >::element_type | element_type
typedef etl::span< element_type, Number_Of_Elements > | span_type
typedef etl::span< const element_type, Number_Of_Elements > | const_span_type
Public Types inherited from etl::private_bitset::bitset_impl_common< TElement >
typedef TElement | element_type
typedef TElement * | pointer
typedef const TElement * | const_pointer
typedef size_t | size_type

## Static Public Attributes

static ETL_CONSTANT size_t | Number_Of_Elements
static ETL_CONSTANT size_t | Size = Active_Bits
static ETL_CONSTANT size_t | Allocated_Bits = Number_Of_Elements * Bits_Per_Element
static ETL_CONSTANT etl::bitset_storage_model | Storage_Model
static ETL_CONSTANT TElement | Top_Mask = element_type(Top_Mask_Shift == 0 ? All_Set_Element : ~(All_Set_Element << Top_Mask_Shift))
Static Public Attributes inherited from etl::private_bitset::bitset_impl_common< TElement >
static ETL_CONSTANT size_t | npos = etl::integral_limits<size_t>::max
static ETL_CONSTANT size_t | Bits_Per_Element = etl::integral_limits<TElement>::bits
static ETL_CONSTANT TElement | All_Set_Element = etl::integral_limits<TElement>::max
static ETL_CONSTANT TElement | All_Clear_Element = element_type(0)

## Member Data Documentation

## Number_Of_Elements

template<size_t Active_Bits, typename TElement>

ETL_CONSTANT size_t etl::private_bitset::bitset_common< Active_Bits, TElement >::Number_Of_Elements

static

Initial value:
=
(Active_Bits % Bits_Per_Element == 0) ? Active_Bits / Bits_Per_Element : Active_Bits / Bits_Per_Element + 1

The documentation for this class was generated from the following file:

- include/etl/private/bitset_new.h